{% extends 'Default/index.html.twig' %}
{% block title %}{{ 'user.dashboard.title'|trans }} - Stanza del cittadino{% endblock %}

{% block main_content %}

  <section>
    {% if documents is not empty %}
      <div class="container px-4 pb-4">
        <div class="alert alert-success" role="alert">
          <h4 class="alert-heading">{{ 'user.dashboard.nuovi_documenti'|trans }}</h4>
          <p class="mb-0"> {{ 'user.dashboard.nuovi_documenti_messaggio'|trans }}</p>
          <ul class="list-group list-group-flush">
            {% for document in documents %}
              <li class="list-group-item px-0">
                <svg class="icon">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-file"></use>
                </svg>
                <a
                  href="{{ path('documento_show_cpsuser', {'folder': document.folder, 'document': document}) }}">{{ document.title }}</a>
              </li>
            {% endfor %}
          </ul>
        </div>
      </div>
    {% endif %}
  </section>
  {% if servizi|length > 0 %}
    <section id="in-evidenza">
      <div class="bg-100 py-5">
        <div class="container px-4">
          <div class="row">
            <div class="col-md-12">
              <div class="panel panel-primary no-border-radius">
                <div class="panel-heading">
                  <h3 class="panel-title">{{ 'user.dashboard.servizi_primo_piano'|trans }}</h3>
                </div>
                <div class="panel-body">
                  <div class="row">
                    {% for servizio in servizi %}
                      <div class="col-12 col-sm-6 col-lg-4">
                        {{ include('Servizi/parts/panel/servizio.html.twig') }}
                      </div>
                    {% endfor %}
                  </div>
                  <div class="row">
                    <div class="col-md-12 text-right">
                      <a href="{{ path('servizi_list') }}"
                         class="small">{{ 'nav.servizi'|trans() }}</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  {% endif %}
  <section>
    <div class="py-5">
      <div class="container px-4">
        <div class="row">
          <div class="col-md-12">
            <h3>{{ 'user.dashboard.ultime_pratiche'|trans }} {% if pratiche|length > 0 %}<a
                href="{{ path('pratiche') }}"
                class="small">{{ 'user.dashboard.vedi_tutte'|trans }}</a>{% endif %}</h3>
            {% if pratiche|length > 0 %}
              <div id="no-more-tables">
                <table class="table table-striped table-condensed cf">
                  <thead class="cf">
                  <tr>
                    <th>{{ 'pratica.servizio'|trans }}</th>
                    <th>{{ 'pratica.protocollo'|trans }}</th>
                    <th class="text-nowrap">{{ 'pratica.data_di_compilazione'|trans }}</th>
                    <th>{{ 'pratica.stato'|trans }}</th>
                    <th aria-label="{{ 'no_value' | trans() }}" ></th>
                  </tr>
                  </thead>
                  <tbody>
                  {% for pratica in pratiche %}
                    <tr class="pratica"
                        data-pratica="{{ pratica.id }}"
                        data-user="{{ pratica.user.id }}"
                        data-status="{{ pratica.status }}">
                      <td data-title="{{ 'pratica.servizio'|trans }}">{{ pratica.servizio.name }}</td>
                      <td class="text-nowrap" data-title="{{ 'pratica.protocollo'|trans }}">
                        {% if pratica.servizio.isProtocolRequired %}
                          {% if pratica.numeroProtocollo %}
                            <code>{{ pratica.numeroProtocollo }}</code>
                          {% elseif pratica.statusName != 'STATUS_DRAFT' %}
                            <em>{{ 'pratica.in_attesa_protocollo'|trans }}</em>
                          {% endif %}
                        {% else %}
                          <em>{{ 'pratica.protocollo_non_richiesto'|trans }}</em>
                        {% endif %}
                      </td>
                      <td class="text-nowrap"
                          data-title="{{ 'pratica.data_di_compilazione'|trans }}">{{ pratica.creationTime|format_datetime('medium', 'short', locale=app.request.locale) }}</td>
                      <td
                        data-title="{{ 'pratica.stato'|trans }}">{{ ('pratica.dettaglio.stato_'~pratica.status)|trans }}</td>
                      <td data-title="">
                        <a href="{{ path('pratiche_show', {'pratica': pratica}) }}"
                           class="btn btn-primary btn-xs">{{ 'user.dashboard.vai_al_dettaglio'|trans }}</a>
                      </td>

                    </tr>
                  {% endfor %}
                  </tbody>
                </table>
              </div>
            {% else %}
              <div class="alert alert-info" role="alert"><i class="fa fa-info"
                                                            aria-hidden="true"></i> {{ 'pratica.empty'|trans() }}
              </div>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('user') }}
{% endblock %}
